% ===========================================================================
%
function dudt = rhs_Hopf_plus(t,u)
%
% CBP 02-02-21
% rhs of Hopf oscillator CPG for 3352 Salamander
%
% ============================================================================

global alpha mu omega tau k

dudt = zeros(4,1);

% Naming neurons --------------------------------------------------------------

% ------------ calculate r's ----------------------------------------------------
r= sqrt(u(1)*u(1) + u(2)*u(2));
% -----------------------------------------------------------------------------
% Oscillator driving motor 0
dudt(1) = alpha*(mu - r*r)*u(1) - omega*u(2);
dudt(2) = omega*u(1) + alpha*(mu - r*r)*u(2);

% Chain of phase shifts
% Segment 1
dudt(3) = (-u(3) + k*u(1))/tau;

% Line below just for dancy plot - not part of CPG
dudt(4) = (-u(4) + k*u(2))/tau;
