% ===========================================================================
%
function dydt = rhs_salamander(t,y)
%
% CBP 01-02-21
%
% ============================================================================

global alpha mu omega tau k thresh

dydt = zeros(17,1);

% Naming neurons --------------------------------------------------------------

% ------------ calculate r's ----------------------------------------------------
r= sqrt(y(1)*y(1) + y(2)*y(2));
% -----------------------------------------------------------------------------
% Oscillator driving motor 0
dydt(1) = alpha*(mu - r*r)*y(1) - omega*y(2);
dydt(2) = omega*y(1) + alpha*(mu - r*r)*y(2);

% Chain of phase shifts
% Segment 1
dydt(3) = (-y(3) + k*y(1))/tau;
dydt(4) = (-y(4) + k*y(3))/tau;
dydt(5) = (-y(5) + k*y(4))/tau;

% Segment 2
dydt(6) = (-y(6) + k*y(5))/tau;
dydt(7) = (-y(7) + k*y(6))/tau;
dydt(8) = (-y(8) + k*y(7))/tau;

% Segment 3
dydt(9)  = (-y(9)  + k*y(8))/tau;
dydt(10) = (-y(10) + k*y(9))/tau;
dydt(11) = (-y(11) + k*y(10))/tau;

% Segment 4
dydt(12) = (-y(12) + k*y(11))/tau;
dydt(13) = (-y(13) + k*y(12))/tau;
dydt(14) = (-y(14) + k*y(13))/tau;

% Segment 5
dydt(15) = (-y(15) + k*y(14))/tau;
dydt(16) = (-y(16) + k*y(15))/tau;
dydt(17) = (-y(17) + k*y(16))/tau;

