% =============================================================================
%
% solve_salamander.m
% CBP 03-12-20
%
% =============================================================================

global alpha mu omega tau k thresh

tstart = 0;
tend = input('Input end time ');

dPhase = (pi/180)*input('Input phase shift degrees');
alpha = 1;
mu = 1;
a = 2;
omega = pi;
dPhase = dPhase/3.0; % spread over 3 delay neurons
tau = tan(dPhase)/omega
k = sqrt(tau*tau*omega*omega + 1);
thresh = sin(pi/2 - 0.5*dPhase)


xinit = zeros(17,1);

for i = 1:17
  xinit(i) = 0.5;
end

options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);

[t,y] = ode45(@rhs_salamander,[tstart,tend],xinit,options);

%figure(1);
%ha1 = subplot(2,1,1);
plot(t,y(:,1),t,y(:,5),t,y(:,8));
hold on;
plot(t,y(:,11),t,y(:,14),t,y(:,17));
%line(ha1,[tstart,tend],[beta,beta]);
%hold off;
%title('LF, LM, LR');
%{
ha2 = subplot(2,1,2);
plot(ha2,t,y(:,11),t,y(:,14),t,y(:,17));
%hold on;
%line(ha2,[tstart,tend],[beta,beta]);
%hold off;
%title('RF, RM, RR');
%}


